summaryrefslogtreecommitdiffstats
path: root/system/dina-font/doinst.sh
diff options
context:
space:
mode:
author B. Watson <yalhcru@gmail.com>2017-03-26 08:02:44 -0400
committer Willy Sudiarto Raharjo <willysr@slackbuilds.org>2017-04-01 06:57:10 +0700
commit22b022831f4f15abff3c1a743b65de6a46f32b32 (patch)
tree37b11825053eb610f0922354345fd4d5df6bc18e /system/dina-font/doinst.sh
parentd398cc64d0fb551f26a4145831d88b9b546fbbab (diff)
downloadslackbuilds-22b022831f4f15abff3c1a743b65de6a46f32b32.tar.gz
slackbuilds-22b022831f4f15abff3c1a743b65de6a46f32b32.tar.xz
system/dina-font: New maintainer, rewrite script.
Signed-off-by: B. Watson <yalhcru@gmail.com>
Diffstat (limited to 'system/dina-font/doinst.sh')
-rw-r--r--system/dina-font/doinst.sh13
1 files changed, 9 insertions, 4 deletions
diff --git a/system/dina-font/doinst.sh b/system/dina-font/doinst.sh
index d21eaa7233..96b0162ebe 100644
--- a/system/dina-font/doinst.sh
+++ b/system/dina-font/doinst.sh
@@ -1,10 +1,15 @@
-# Update the X font indexes:
if [ -x /usr/bin/mkfontdir ]; then
- ( cd /usr/share/fonts/misc
+ ( cd usr/share/fonts/misc
+ if ! grep -q ^Dina_ fonts.alias 2>/dev/null; then
+ echo 'Dina_6 -windows-dina-medium-r-normal--8-60-96-96-c-60-microsoft-cp1252' >> fonts.alias
+ echo 'Dina_8 -windows-dina-medium-r-normal--10-80-96-96-c-70-microsoft-cp1252' >> fonts.alias
+ echo 'Dina_9 -windows-dina-medium-r-normal--12-90-96-96-c-70-microsoft-cp1252' >> fonts.alias
+ echo 'Dina_10 -windows-dina-medium-r-normal--13-100-96-96-c-80-microsoft-cp1252' >> fonts.alias
+ fi
mkfontscale .
mkfontdir .
)
fi
-if [ -x /usr/bin/fc-cache ]; then
- /usr/bin/fc-cache -f
+if [ -x usr/bin/fc-cache ]; then
+ usr/bin/fc-cache -f
fi